<?php
/*
 * @Descripttion: 下发工具等相关信息
 * @version: 1.0.0
 * @Author: likang
 * @Date: 2022-06-09 14:58:24
 * @LastEditors: likang
 * @LastEditTime: 2022-06-10 09:28:54
 */

namespace catchAdmin\api\controller;

use catchAdmin\hydraulic\model\maintenancemapper;
use catchAdmin\hydraulic\model\Wrench as ModelWrench;
use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use PhpParser\Node\Expr\FuncCall;
use Wrench;

class Tool extends Base
{
    /**
     * @Descripttion: 获取扳手列表
     * @name: likang
     * @return {*}
     */    
    public function getWrenchList()
    {
       $list =  ModelWrench::select();
       return json_success('获取成功',$list);

    }
    /**
     * @Descripttion: 获取工作位置列表
     * @name: likang
     * @return {*}
     */    
    public function getWorkLocal()
    {
        $list =  maintenancemapper::where('device_type',2)->select();
        return json_success('获取成功',$list);
    }
     

    public function getUserList(){
     
        if (!isset($_GET['imei']) ||  $_GET['imei']=='') {
            json_fail('缺少设备IMEI号参数');
        }
        //检测imei号是否在数据库中


        //请求成功返回数据
       json_success('获取成功','');
    }

}