<?php
/*
 * @Descripttion: 
 * @version: 1.0.0
 * @Author: likang
 * @Date: 2022-06-10 16:05:53
 * @LastEditors: likang
 * @LastEditTime: 2022-06-11 10:39:50
 */

namespace catchAdmin\hydraulic\model;

use catcher\base\CatchModel as Model;

class WrenchCheckRecord extends Model
{
    // 表名
    public $name = 'wrench_check_record';
    // 数据库字段映射
    public $field = array(
        'id',
        // 校准人名称
        'CalibratorName',
        // 校准日期
        'CalibratorDate',
        // 校验人名称
        'CheckName',
        // 校验日期
        'CheckDate',
        // 签发人名称
        'IssueName',
        // 签发日期
        'IssueDate',
        // 扳手id
        'wrench_id',
        // 扳手编号
        'wrenchNumber',
        // 外观校验 1 合格 -1不合格
        'inspectionVisual',
        // 预载三次结果  1 合格 -1不合格
        'preload_three_results',
        // 建议
        'suggest',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    public function searchWrenchIdAttr($query, $value, $data)
    {

        return $query->where('wrench_id', '=', $value);
        
    } 



}